My flex 6500 keeps downgrading

  • 1
  • Question
  • Updated 2 years ago
  • Answered
Install las test version,everything ok for a week or so,but now the 6500 keeps saying update required,then it downgrades.
Photo of Tony Hateley

Tony Hateley

  • 288 Posts
  • 25 Reply Likes

Posted 2 years ago

  • 1
Photo of EA4GLI - 8P9EH - Salvador

EA4GLI - 8P9EH - Salvador

  • 1711 Posts
  • 520 Reply Likes
Official Response
You are probably opening the wrong SmartSDR.exe

Make sure you start SmartSDR with the correct Quick Link

Better yet, delete the Shortcut to the previous version.
SmartSDR will always refer as UPGRADE to a change in versiĆ³n. So if I open SmartSDR v1.7.30 it will present me with a yellow UPGRADE option.

And here you can see that if I start SmartSDR v1.7.30 the HW Version (meaning the version inside of the radio) is v1.8.4.84 and therefore the need for an UPGRADE.

I hope this makes sense.